KMultiTabBarButton Class Reference
KMultiTabBar related classes

`#include <kmultitabbar.h>`

Inheritance diagram for KMultiTabBarButton:

## Public Slots

void | setPosition (KMultiTabBar::KMultiTabBarPosition)
void | setStyle (KMultiTabBar::KMultiTabBarStyle)
void | setText (const QString &)
QSize | sizeHint () const

## Signals

void | clicked (int id)

## Public Member Functions

| KMultiTabBarButton (const QPixmap &pic, const QString &, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)
| KMultiTabBarButton (const QString &, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)
virtual | ~KMultiTabBarButton ()
int | id () const

## Protected Slots

virtual void | slotClicked ()

## Protected Member Functions

virtual void | hideEvent (class QHideEvent *)
virtual void | showEvent (class QShowEvent *)

## Protected Attributes

KMultiTabBar::KMultiTabBarPosition | m_position
KMultiTabBar::KMultiTabBarStyle | m_style
QString | m_text

## Detailed Description

This class represents a tab bar button in a KMultiTabBarWidget.

This class should never be created except with the appendButton call of KMultiTabBar

Definition at line 205 of file kmultitabbar.h.

## Constructor & Destructor Documentation

KMultiTabBarButton::~KMultiTabBarButton | ( |  | ) |

virtual

Destructor.

Definition at line 415 of file kmultitabbar.cpp.

## Member Function Documentation

void KMultiTabBarButton::clicked | ( | int | id | ) |

signal

this is emitted if the button is clicked

Parameters

  id | the ID identifying the button

int KMultiTabBarButton::id | ( |  | ) | const

Returns the tab's ID.

Returns
  The tab's ID

Definition at line 418 of file kmultitabbar.cpp.

void KMultiTabBarButton::setPosition | ( | KMultiTabBar::KMultiTabBarPosition | pos | ) |

slot

this is used internaly, but can be used by the user, if (s)he wants to It the according call of KMultiTabBar is invoked though this modifications will be overwritten

Definition at line 434 of file kmultitabbar.cpp.

void KMultiTabBarButton::setStyle | ( | KMultiTabBar::KMultiTabBarStyle | style | ) |

slot

this is used internaly, but can be used by the user, if (s)he wants to It the according call of KMultiTabBar is invoked though this modifications will be overwritten

Definition at line 440 of file kmultitabbar.cpp.

void KMultiTabBarButton::setText | ( | const QString & | text | ) |

slot

modify the text of the button

Definition at line 422 of file kmultitabbar.cpp.

The documentation for this class was generated from the following files:

- kmultitabbar.h
- kmultitabbar.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys